# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "pack_component"
version = "0.5.3"
authors = ["Greentic <engineering@greentic.dev>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Greentic pack component implementation"
homepage = "https://github.com/greenticai/greentic-pack"
documentation = "https://docs.greentic.ai/"
readme = "README.md"
keywords = [
    "greentic",
    "component",
    "wasm",
    "pack",
]
categories = [
    "wasm",
    "api-bindings",
]
license = "MIT"
repository = "https://github.com/greentic/greentic-pack"
resolver = "2"

[lib]
name = "pack_component"
crate-type = [
    "cdylib",
    "rlib",
]
path = "src/lib.rs"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_cbor]
version = "0.11"

[dependencies.serde_json]
version = "1"

[target.'cfg(not(target_arch = "wasm32"))'.dependencies.greentic-interfaces-host]
version = "0.5"
